package com.realnet.angulardatatype.Controllers;

 import java.util.List;
import org.springframework.http.ResponseEntity;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import com.realnet.angulardatatype.Entity.Support;
import com.realnet.angulardatatype.Services.SupportUpdateService2 ;
@RequestMapping(value = "/Support")
@RestController
public class SupportUpdateController2{
	
	@Autowired
	private SupportUpdateService2 Service;

@PutMapping("/Support_update/{id}") 
	public  ResponseEntity<?> update(@PathVariable Integer id,@RequestBody Support  support) {
		ResponseEntity<?> update = Service.updateaction(id,support );
		System.out.println(update+" updateed");
		return update;
	}

}